#include "SpecialEventUtilities.h"
#include "CombinedSpecialEventData.h"
#include "UObject/NoExportTypes.h"
#include "ESpecialEventStatus.h"

class UObject;

bool USpecialEventUtilities::BP_IsValid(const FCombinedSpecialEventData& event)
{
	return false;
}

bool USpecialEventUtilities::BP_IsActive(const FCombinedSpecialEventData& event)
{
	return false;
}

FTimespan USpecialEventUtilities::BP_GetTimeTillPostEndDate(const FCombinedSpecialEventData& event)
{
	return FTimespan{};
}

FTimespan USpecialEventUtilities::BP_GetTimeTillMainEndDate(const FCombinedSpecialEventData& event)
{
	return FTimespan{};
}

FTimespan USpecialEventUtilities::BP_GetTimeSinceStartDate(const FCombinedSpecialEventData& event)
{
	return FTimespan{};
}

ESpecialEventStatus USpecialEventUtilities::BP_GetStatus(const FCombinedSpecialEventData& event)
{
	return ESpecialEventStatus::Inactive;
}

FDateTime USpecialEventUtilities::BP_GetStartDate(const FCombinedSpecialEventData& event)
{
	return FDateTime{};
}

FDateTime USpecialEventUtilities::BP_GetPostEndDate(const FCombinedSpecialEventData& event)
{
	return FDateTime{};
}

FDateTime USpecialEventUtilities::BP_GetMainEndDate(const FCombinedSpecialEventData& event)
{
	return FDateTime{};
}

int32 USpecialEventUtilities::BP_GetEventTrackerObjectiveLevel(const UObject* worldContextObject, const FName eventId)
{
	return 0;
}

bool USpecialEventUtilities::BP_FindBestActive(const UObject* contextObject, FCombinedSpecialEventData& outEvent)
{
	return false;
}

bool USpecialEventUtilities::BP_Find(const UObject* contextObject, const FName eventId, FCombinedSpecialEventData& outEvent)
{
	return false;
}

USpecialEventUtilities::USpecialEventUtilities()
{

}
